# Changelog
This file will carry any notable changes made to `synce4l` project.

## 1.1.0 - 24th May 2024
* fix DPLL pin ID assignment with invalid input
* fix new_tlv.value NULL dereference
* fix uninitialized use of tlv_arr
* fix uninitialized use of tlv_num
* fix error handling on command recv
* fix error handling on socket creation
* add SECURITY.md
* simplify rebuild of priorities
* add internal device priority configuration
* fix duplicated pin data
* add dpll_mon serialized data updates
* fix priority rebuild
* fix pin parent handling
* configurable synce_clock_poll delay
* add list of dependencies to README.md
* fix sync on missing extended tlv
* clear pin priorities on exit
* avoid disconnecting input when rebuilding priority
* add functions for clearing priority of individual pins
* update port TX QL when external source locks
* change function to static in synce_manager
* change d_state updating implementation
* fix flows moving from best port to SMA
* add external API for managing QL
* avoid -Wmaybe-uninitialized warning
* fix printf formats for 32-bit archs

## 1.0.0 - 2nd November 2023
* add external sources section to configuration file
* remove external/line input working modes of synce4l, with a new external
  source section the synce4l determines best source from all the source
  configured in config file for a device
* add support for Linux dpll subsystem based SyncE support (for dpll devices
  using DPLL_MODE_AUTOMATIC mode)
* add u64 config item and new items for Linux dpll subsystem support
* move thread related defines to a new header, allow code reuse
* allow reinitialize transport in case port was unavailable for some
  reason, i.e., port down, driver unload, etc.
* allow "late-init" in case NIC driver is loaded after synce4l
* allow NIC driver reload without braking synce4l
* fix confusing traces to become debug level
* fixes for coverity scan

## 0.9.1 - 27th June 2023
* fix compilation problems when using the tar archive generated by GitHub
* fix false positive warnings from compilation

## 0.9.0 - 16th June 2023
* add support for hexadecimal values both in configuration file and reporting in logs,
* update the documentation and example configs to show more realistic samples,
* fix compilation errors/warning,
* fix incorrect forwarding of origin Clock ID,
* add QL-EEC (option 1) and QL-EEC2 (option 2),
* fix potential memory leaks.
